## quasar 0.1.0

=== DESCRIPTION ===
Package: quasar
Type: Package
Title: Valid Inference on Multiple Quantile Regressions
Version: 0.1.0
Date: 2025-11-07
Authors@R: c(
    person(
      "Angela", "Andreella",
      email = "angela.andreella@unive.it",
      role = c("aut", "cre")
    ), person("Anna", "Vesely", role = "ctb")
  )
Description: The approach is based on the closed testing procedure to control familywise error rate in a strong sense.
  The local tests implemented are Wald-type and rank-score. 
  The method is described in De Santis, et al., (2025), <doi:10.48550/arXiv.2511.07999>.
Depends: quantreg, Matrix, MASS
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-11-13 08:27:14 UTC; Andreella
Author: Angela Andreella [aut, cre],
  Anna Vesely [ctb]
Maintainer: Angela Andreella <angela.andreella@unive.it>
Repository: CRAN
Date/Publication: 2025-11-18 09:00:02 UTC

## quasar 0.2.0

=== DESCRIPTION ===
Package: quasar
Type: Package
Title: Valid Inference on Multiple Quantile Regressions
Version: 0.2.0
Date: 2026-01-09
Authors@R: c(
    person(
      "Angela", "Andreella",
      email = "angela.andreella@unive.it",
      role = c("aut", "cre")
    ), person("Anna", "Vesely", role = "aut"),
    person("Riccardo", "De Santis", role = "aut")
  )
Description: The approach is based on the closed testing procedure to control familywise error rate in a strong sense.
  The local tests implemented are Wald-type and rank-score. 
  The method is described in De Santis, et al., (2026), <doi:10.48550/arXiv.2511.07999>.
Depends: quantreg, Matrix, MASS, pracma, methods, sn
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2026-01-09 11:00:48 UTC; Andreella
Author: Angela Andreella [aut, cre],
  Anna Vesely [aut],
  Riccardo De Santis [aut]
Maintainer: Angela Andreella <angela.andreella@unive.it>
Repository: CRAN
Date/Publication: 2026-01-09 11:10:02 UTC

## quasar 0.96r172r31-maemo5-3

=== Makefile ===
#############################################################################
# Makefile for building: quasar
# Generated by qmake (1.07a) (Qt 3.3.8b) on: Mon Feb 15 22:02:37 2010
# Project:  quasar-maemo.pro
# Template: app
# Command: $(QMAKE) -o Makefile quasar-maemo.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -g -DSQLITE_THREADSAFE=0 -O3 -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp -Wall -W -O2 -D_REENTRANT  -DQUASAR -DSQLITE_OMIT_UTF16 -DSQLITE_OMIT_AUTHORIZATION -DSQLITE_OMIT_PROGRESS_CALLBACK -DSQLITE_OMIT_SHARED_CACHE -DSQLITE_OMIT_LOAD_EXTENSION -DUSE_NATIVE_FILEDIALOGS -DLOWPERF -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -g -DSQLITE_THREADSAFE=0 -O3 -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp -Wall -W -O2 -D_REENTRANT  -DQUASAR -DSQLITE_OMIT_UTF16 -DSQLITE_OMIT_AUTHORIZATION -DSQLITE_OMIT_PROGRESS_CALLBACK -DSQLITE_OMIT_SHARED_CACHE -DSQLITE_OMIT_LOAD_EXTENSION -DUSE_NATIVE_FILEDIALOGS -DLOWPERF -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -Icore -Icore/platform -Iui -Iui/skin -Iui/config -Ilibs/taglib/taglib -Ilibs/taglib/taglib/taglib -Ilibs/taglib/taglib/taglib/ape -Ilibs/taglib/taglib/taglib/flac -Ilibs/taglib/taglib/taglib/mpc -Ilibs/taglib/taglib/taglib/mpeg -Ilibs/taglib/taglib/taglib/mpeg/id3v1 -Ilibs/taglib/taglib/taglib/mpeg/id3v2 -Ilibs/taglib/taglib/taglib/mpeg/id3v2/frames -Ilibs/taglib/taglib/taglib/ogg -Ilibs/taglib/taglib/taglib/ogg/flac -Ilibs/taglib/taglib/taglib/ogg/vorbis -Ilibs/taglib/taglib/taglib/toolkit -Ilibs/taglib/taglib_addons -Ilibs/taglib/taglib_addons/aac -Ilibs/taglib/taglib_addons/audible -Ilibs/taglib/taglib_addons/m4a -Ilibs/taglib/taglib_addons/rmff -Ilibs/taglib/taglib_addons/speex -Ilibs/taglib/taglib_addons/trueaudio -Ilibs/taglib/taglib_addons/wav -Ilibs/taglib/taglib_addons/wavpack -Ilibs/taglib/taglib_addons/wma -Ilibs/kmdcodec -Ilibs/sqlite -Ilibs/flowmatix -Ilibs/flowmatix/imagecache -Ilibs/flowmatix/flowmatixcore -Icompat/qt3 -Iaddons/coverartdownloader -Iaddons/qscrobbler -Iaddons/debug -Iaddons/revealmediafile -I/targets/maemo4-arm-b8a8c056fa52e92e6fd4128f5b534698911d415d/usr/include/qt3 -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lz -lstdc++ -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .o/

####### Files

HEADERS = quasar.h \
		core/addonmanager.h \
		core/configuration.h \
		core/media.h \
		core/mediaidentifier.h \
		core/mediadatabase.h \
		core/mplayer.h \
		core/coverartprovider.h \
		core/playlistmanager.h \
		core/signalhandler.h \
		core/keynames.h \
		core/action.h \
		core/externalservices.h \
		core/helpers.h \
		core/platform/platformservices.h \
		core/platform/system_volume.h \
		ui/configurationdialog.h \
		ui/mediainfodialog.h \
		ui/operationpanel.h \
		ui/toolpanel.h \
		ui/coverartflow.h \
		ui/kineticlistview.h \
		ui/playinfo.h \
		ui/videoplaybackwindow.h \
		ui/playlist.h \
		ui/playlistoverview.h \
		ui/playlisttoolpanel.h \
		ui/aboutdialog.h \
		ui/textviewdialog.h \
		ui/skin/seekbar.h \
		ui/skin/skinpanel.h \
		ui/skin/skinnedbutton.h \
		ui/skin/skinnedlabel.h \
		ui/skin/skinnedtimelabel.h \
		ui/skin/skin.h \
		ui/skin/skinmanager.h \
		ui/config/configview.h \
		ui/config/generalconfig.h \
		ui/config/mplayerconfig.h \
		ui/config/formatsconfig.h \
		ui/config/hotkeyconfig.h \
		ui/config/hotareaconfig.h \
		ui/config/identifykeydialog.h \
		ui/config/uiconfig.h \
		ui/config/coverartconfig.h \
		libs/flowmatix/reflectionimageflow.h \
		libs/flowmatix/imagecache/backgroundtasks.h \
		libs/flowmatix/imagecache/cachedimageprovider.h \
		libs/flowmatix/imagecache/customscaledcachedimageprovider.h \
		libs/flowmatix/flowmatixcore/imagefx.h \
		libs/flowmatix/flowmatixcore/paintbox.h \
		libs/flowmatix/flowmatixcore/scrollbar.h \
		libs/flowmatix/flowmatixcore/transitiontimer.h \
		libs/flowmatix/flowmatixcore/customflow.h \
		libs/flowmatix/flowmatixcore/customperspectiveimageflow.h \
		compat/qt3/config.h \
		compat/qt3/resource.h \
		addons/coverartdownloader/coverartdownloader.h \
		addons/qscrobbler/audioscrobbler.h \
		addons/qscrobbler/kascachelist.h \
		addons/qscrobbler/qscrobbler.h \
		addons/qscrobbler/qscrobbleraddon.h \
		addons/qscrobbler/qscrobblerconfig.h \
		addons/debug/debugaddon.h \
		addons/revealmediafile/revealmediafileaddon.h
SOURCES = main.cpp \
		quasar.cpp \
		core/addonmanager.cpp \
		core/configuration.cpp \
		core/debug.cpp \
		core/externalservices.cpp \
		core/media.cpp \
		core/mediaidentifier.cpp \
		core/mediadatabase.cpp \
		core/mplayer.cpp \
		core/coverartprovider.cpp \
		core/playlistmanager.cpp \
		core/signalhandler.cpp \
		core/keynames.cpp \
		core/action.cpp \
		core/helpers.cpp \
		core/platform/platformservices.cpp \
		core/platform/system_volume.cpp \
		ui/videoplaybackwindow.cpp \
		ui/configurationdialog.cpp \
		ui/mediainfodialog.cpp \
		ui/operationpanel.cpp \
		ui/toolpanel.cpp \
		ui/coverartflow.cpp \
		ui/kineticlistview.cpp \
		ui/playinfo.cpp \
		ui/playlist.cpp \
		ui/playlistoverview.cpp \
		ui/playlisttoolpanel.cpp \
		ui/aboutdialog.cpp \
		ui/textviewdialog.cpp \
		ui/simplefiledialog.cpp \
		ui/skin/seekbar.cpp \
		ui/skin/skinpanel.cpp \
		ui/skin/skinnedbutton.cpp \
		ui/skin/skinnedlabel.cpp \
		ui/skin/skinnedtimelabel.cpp \
		ui/skin/skin.cpp \
		ui/skin/skinmanager.cpp \
		ui/config/configview.cpp \
		ui/config/generalconfig.cpp \
		ui/config/mplayerconfig.cpp \
		ui/config/formatsconfig.cpp \
		ui/config/hotkeyconfig.cpp \
		ui/config/hotareaconfig.cpp \
		ui/config/identifykeydialog.cpp \
		ui/config/uiconfig.cpp \
		ui/config/coverartconfig.cpp \
		libs/taglib/taglib/taglib/ape/apefooter.cpp \
		libs/taglib/taglib/taglib/ape/apeitem.cpp \
		libs/taglib/taglib/taglib/ape/apetag.cpp \
		libs/taglib/taglib/taglib/audioproperties.cpp \
		libs/taglib/taglib/taglib/fileref.cpp \
		libs/taglib/taglib/taglib/flac/flacfile.cpp \
		libs/taglib/taglib/taglib/flac/flacproperties.cpp \
		libs/taglib/taglib/taglib/mpc/mpcfile.cpp \
		libs/taglib/taglib/taglib/mpc/mpcproperties.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v1/id3v1genres.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v1/id3v1tag.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/commentsframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/unknownframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2extendedheader.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2footer.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2frame.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2header.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2synchdata.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2tag.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegfile.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegheader.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegproperties.cpp \
		libs/taglib/taglib/taglib/mpeg/xingheader.cpp \
		libs/taglib/taglib/taglib/ogg/flac/oggflacfile.cpp \
		libs/taglib/taglib/taglib/ogg/oggfile.cpp \
		libs/taglib/taglib/taglib/ogg/oggpage.cpp \
		libs/taglib/taglib/taglib/ogg/oggpageheader.cpp \
		libs/taglib/taglib/taglib/ogg/vorbis/vorbisfile.cpp \
		libs/taglib/taglib/taglib/ogg/vorbis/vorbisproperties.cpp \
		libs/taglib/taglib/taglib/ogg/xiphcomment.cpp \
		libs/taglib/taglib/taglib/tag.cpp \
		libs/taglib/taglib/taglib/toolkit/tbytevector.cpp \
		libs/taglib/taglib/taglib/toolkit/tbytevectorlist.cpp \
		libs/taglib/taglib/taglib/toolkit/tdebug.cpp \
		libs/taglib/taglib/taglib/toolkit/tfile.cpp \
		libs/taglib/taglib/taglib/toolkit/tstring.cpp \
		libs/taglib/taglib/taglib/toolkit/tstringlist.cpp \
		libs/taglib/taglib/taglib/toolkit/unicode.cpp \
		libs/taglib/taglib_addons/aac/aacfiletyperesolver.cpp \
		libs/taglib/taglib_addons/audible/audibleproperties.cpp \
		libs/taglib/taglib_addons/audible/audibletag.cpp \
		libs/taglib/taglib_addons/audible/taglib_audiblefile.cpp \
		libs/taglib/taglib_addons/audible/taglib_audiblefiletyperesolver.cpp \
		libs/taglib/taglib_addons/m4a/boxfactory.cpp \
		libs/taglib/taglib_addons/m4a/itunesalbbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesartbox.cpp \
		libs/taglib/taglib_addons/m4a/itunescmtbox.cpp \
		libs/taglib/taglib_addons/m4a/itunescvrbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdatabox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdaybox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdiskbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesgenbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesgrpbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesnambox.cpp \
		libs/taglib/taglib_addons/m4a/itunestmpobox.cpp \
		libs/taglib/taglib_addons/m4a/itunestrknbox.cpp \
		libs/taglib/taglib_addons/m4a/ituneswrtbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4audioproperties.cpp \
		libs/taglib/taglib_addons/m4a/mp4audiosampleentry.cpp \
		libs/taglib/taglib_addons/m4a/mp4file.cpp \
		libs/taglib/taglib_addons/m4a/mp4fourcc.cpp \
		libs/taglib/taglib_addons/m4a/mp4hdlrbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4ilstbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4isobox.cpp \
		libs/taglib/taglib_addons/m4a/mp4isofullbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4itunestag.cpp \
		libs/taglib/taglib_addons/m4a/mp4mdiabox.cpp \
		libs/taglib/taglib_addons/m4a/mp4metabox.cpp \
		libs/taglib/taglib_addons/m4a/mp4minfbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4moovbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4mvhdbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4propsproxy.cpp \
		libs/taglib/taglib_addons/m4a/mp4sampleentry.cpp \
		libs/taglib/taglib_addons/m4a/mp4skipbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4stblbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4stsdbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4tagsproxy.cpp \
		libs/taglib/taglib_addons/m4a/mp4trakbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4udtabox.cpp \
		libs/taglib/taglib_addons/m4a/taglib_mp4filetyperesolver.cpp \
		libs/taglib/taglib_addons/rmff/rmff.cpp \
		libs/taglib/taglib_addons/rmff/taglib_realmediafile.cpp \
		libs/taglib/taglib_addons/rmff/taglib_realmediafiletyperesolver.cpp \
		libs/taglib/taglib_addons/speex/speexfile.cpp \
		libs/taglib/taglib_addons/speex/speexproperties.cpp \
		libs/taglib/taglib_addons/speex/taglib_speexfiletyperesolver.cpp \
		libs/taglib/taglib_addons/tplugins.cpp \
		libs/taglib/taglib_addons/trueaudio/taglib_trueaudiofiletyperesolver.cpp \
		libs/taglib/taglib_addons/trueaudio/ttafile.cpp \
		libs/taglib/taglib_addons/trueaudio/ttaproperties.cpp \
		libs/taglib/taglib_addons/wav/wavfile.cpp \
		libs/taglib/taglib_addons/wav/wavfiletyperesolver.cpp \
		libs/taglib/taglib_addons/wav/wavproperties.cpp \
		libs/taglib/taglib_addons/wavpack/taglib_wavpackfiletyperesolver.cpp \
		libs/taglib/taglib_addons/wavpack/wvfile.cpp \
		libs/taglib/taglib_addons/wavpack/wvproperties.cpp \
		libs/taglib/taglib_addons/wma/taglib_wmafiletyperesolver.cpp \
		libs/taglib/taglib_addons/wma/wmaattribute.cpp \
		libs/taglib/taglib_addons/wma/wmafile.cpp \
		libs/taglib/taglib_addons/wma/wmaproperties.cpp \

=== libs/taglib/taglib/examples/CMakeLists.txt ===
if(BUILD_TESTS)
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../taglib
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/toolkit
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v1
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v2
		     ${CMAKE_CURRENT_SOURCE_DIR}/../bindings/c/  )

########### next target ###############

SET(tagreader_SRCS
tagreader.cpp
)


ADD_EXECUTABLE(tagreader ${tagreader_SRCS})

TARGET_LINK_LIBRARIES(tagreader  tag )

#INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/tagreader DESTINATION ${BIN_INSTALL_DIR} )


########### next target ###############

SET(tagreader_c_SRCS
tagreader_c.c
)


ADD_EXECUTABLE(tagreader_c ${tagreader_c_SRCS})

TARGET_LINK_LIBRARIES(tagreader_c  tag_c )

#INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/tagreader_c DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

SET(tagwriter_SRCS
tagwriter.cpp
)


ADD_EXECUTABLE(tagwriter ${tagwriter_SRCS})

TARGET_LINK_LIBRARIES(tagwriter  tag )

#INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/tagwriter DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

SET(framelist_SRCS
framelist.cpp
)


ADD_EXECUTABLE(framelist ${framelist_SRCS})

TARGET_LINK_LIBRARIES(framelist  tag )

#INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/framelist DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

SET(strip-id3v1_SRCS
	strip-id3v1.cpp)

ADD_EXECUTABLE(strip-id3v1 ${strip-id3v1_SRCS})

TARGET_LINK_LIBRARIES(strip-id3v1  tag )

#INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/strip-id3v1 DESTINATION ${BIN_INSTALL_DIR})

endif(BUILD_TESTS)

=== libs/taglib/taglib/taglib/CMakeLists.txt ===

set(CMAKE_INCLUDE_CURRENT_DIR ON)
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}/toolkit
    ${CMAKE_CURRENT_SOURCE_DIR}/mpeg
    ${CMAKE_CURRENT_SOURCE_DIR}/ogg
    ${CMAKE_CURRENT_SOURCE_DIR}/ogg/flac
    ${CMAKE_CURRENT_SOURCE_DIR}/flac
    ${CMAKE_CURRENT_SOURCE_DIR}/mpc
    ${CMAKE_CURRENT_SOURCE_DIR}/ogg/vorbis
    ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v2
    ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v1
    ${CMAKE_CURRENT_SOURCE_DIR}/ape
    ${CMAKE_CURRENT_BINARY_DIR}/taglib
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${ZLIB_INCLUDE_DIR}
)

ADD_SUBDIRECTORY( toolkit )
ADD_SUBDIRECTORY( mpeg )
ADD_SUBDIRECTORY( ogg )
ADD_SUBDIRECTORY( flac )
ADD_SUBDIRECTORY( ape )
ADD_SUBDIRECTORY( mpc )



########### next target ###############

SET(mpeg_SRCS
mpeg/mpegfile.cpp
mpeg/mpegproperties.cpp
mpeg/mpegheader.cpp
mpeg/xingheader.cpp
)

SET(id3v1_SRCS
mpeg/id3v1/id3v1tag.cpp
mpeg/id3v1/id3v1genres.cpp
)


SET(id3v2_SRCS
mpeg/id3v2/id3v2framefactory.cpp
mpeg/id3v2/id3v2synchdata.cpp
mpeg/id3v2/id3v2tag.cpp
mpeg/id3v2/id3v2header.cpp
mpeg/id3v2/id3v2frame.cpp
mpeg/id3v2/id3v2footer.cpp
mpeg/id3v2/id3v2extendedheader.cpp
)


SET(frames_SRCS
mpeg/id3v2/frames/attachedpictureframe.cpp
mpeg/id3v2/frames/commentsframe.cpp
mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp
mpeg/id3v2/frames/relativevolumeframe.cpp
mpeg/id3v2/frames/textidentificationframe.cpp
mpeg/id3v2/frames/uniquefileidentifierframe.cpp
mpeg/id3v2/frames/unknownframe.cpp
)

SET(ogg_SRCS
ogg/oggfile.cpp
ogg/oggpage.cpp
ogg/oggpageheader.cpp
ogg/xiphcomment.cpp
)

SET(vorbis_SRCS
ogg/vorbis/vorbisfile.cpp
ogg/vorbis/vorbisproperties.cpp
)


SET(flacs_SRCS
flac/flacfile.cpp
flac/flacproperties.cpp
)

SET(oggflacs_SRCS
ogg/flac/oggflacfile.cpp
)

SET(mpc_SRCS
mpc/mpcfile.cpp
mpc/mpcproperties.cpp
)

SET(ape_SRCS
ape/apetag.cpp
ape/apefooter.cpp
ape/apeitem.cpp
)

SET(toolkit_SRCS
toolkit/tstring.cpp
toolkit/tstringlist.cpp
toolkit/tbytevector.cpp
toolkit/tbytevectorlist.cpp
toolkit/tfile.cpp
toolkit/tdebug.cpp
toolkit/unicode.cpp
)

SET(tag_LIB_SRCS ${mpeg_SRCS} ${id3v1_SRCS} ${id3v2_SRCS} ${frames_SRCS} ${ogg_SRCS}
		 ${vorbis_SRCS} ${oggflacs_SRCS} ${mpc_SRCS} ${ape_SRCS} ${toolkit_SRCS} ${flacs_SRCS}
		 tag.cpp
		 fileref.cpp
		 audioproperties.cpp
)


ADD_LIBRARY(tag SHARED ${tag_LIB_SRCS})

TARGET_LINK_LIBRARIES(tag )
if(ZLIB_FOUND)
	TARGET_LINK_LIBRARIES(tag ${ZLIB_LIBRARIES})
endif(ZLIB_FOUND)

SET_TARGET_PROPERTIES(tag PROPERTIES
        VERSION ${TAGLIB_LIB_MAJOR_VERSION}.${TAGLIB_LIB_MINOR_VERSION}.${TAGLIB_LIB_PATCH_VERSION}
        SOVERSION ${TAGLIB_LIB_MAJOR_VERSION}
        INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
        DEFINE_SYMBOL MAKE_TAGLIB_LIB
)
INSTALL(TARGETS tag
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION  ${LIB_INSTALL_DIR}
)

INSTALL( FILES  tag.h fileref.h audioproperties.h taglib_export.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)

=== libs/taglib/taglib/tests/CMakeLists.txt ===
if(BUILD_TESTS)
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../taglib
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/toolkit
		     ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v2  )


########### next target ###############

SET(toolkit-test_SRCS
	toolkit-test.cpp
)

ADD_EXECUTABLE(toolkit-test ${toolkit-test_SRCS})

TARGET_LINK_LIBRARIES(toolkit-test  tag )
endif(BUILD_TESTS)

=== libs/taglib/taglib/bindings/c/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/toolkit
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/mpeg
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/ogg
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/ogg/vorbis
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/ogg/flac
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/flac
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/mpc
		     ${CMAKE_CURRENT_SOURCE_DIR}/../../taglib/mpeg/id3v2  )


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/taglib_c.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib_c.pc )
########### next target ###############

SET(tag_c_LIB_SRCS
tag_c.cpp
)


ADD_LIBRARY(tag_c SHARED ${tag_c_LIB_SRCS})

TARGET_LINK_LIBRARIES(tag_c  tag )

# On Solaris we need to explicitly add the C++ standard and runtime
# libraries to the libs used by this library, to link them to apps
# using these bindings.
CHECK_LIBRARY_EXISTS(Crun __RTTI___ "" HAVE_CRUN_LIB)
IF(HAVE_CRUN_LIB)
  # Which libraries to link depends critically on which
  # STL version is going to be used by your application
  # and which runtime is in use. While Crun is pretty much
  # the only game in town, the three available STLs -- Cstd,
  # stlport4 and stdcxx -- make this a mess. We really only
  # support stdcxx, but won't force the issue here.
  #
  TARGET_LINK_LIBRARIES(tag_c Crun)
ENDIF(HAVE_CRUN_LIB)

SET_TARGET_PROPERTIES(tag_c PROPERTIES VERSION 0.0.0 SOVERSION 0 )
INSTALL(TARGETS tag_c
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION  ${LIB_INSTALL_DIR}
)


########### install files ###############

INSTALL( FILES  ${CMAKE_CURRENT_BINARY_DIR}/taglib_c.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
INSTALL( FILES  tag_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)

=== libs/taglib/taglib/taglib/ogg/CMakeLists.txt ===
ADD_SUBDIRECTORY( vorbis ) 
ADD_SUBDIRECTORY( flac ) 

INSTALL( FILES  oggfile.h  	oggpage.h  	oggpageheader.h  	xiphcomment.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib )

=== libs/taglib/taglib/taglib/mpeg/id3v2/frames/CMakeLists.txt ===
INSTALL( FILES  attachedpictureframe.h  	commentsframe.h  	generalencapsulatedobjectframe.h  	relativevolumeframe.h  	textidentificationframe.h  	uniquefileidentifierframe.h  	unknownframe.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)



#original Makefile.am contents follow:

#INCLUDES = \
#	-I$(top_srcdir)/taglib \
#	-I$(top_srcdir)/taglib/toolkit \
#	-I$(top_srcdir)/taglib/mpeg/id3v2 \
#	$(all_includes)
#
#noinst_LTLIBRARIES = libframes.la
#
#libframes_la_SOURCES = \
#	attachedpictureframe.cpp \
#	commentsframe.cpp \
#	generalencapsulatedobjectframe.cpp \
#	relativevolumeframe.cpp \
#	textidentificationframe.cpp \
#	uniquefileidentifierframe.cpp \
#	unknownframe.cpp
#
#taglib_include_HEADERS = \
#	attachedpictureframe.h \
#	commentsframe.h \
#	generalencapsulatedobjectframe.h \
#	relativevolumeframe.h \
#	textidentificationframe.h \
#	uniquefileidentifierframe.h \
#	unknownframe.h
#
#taglib_includedir = $(includedir)/taglib
#
#EXTRA_DIST = $(libframes_la_SOURCES) $(taglib_include_HEADERS)

=== debian/changelog ===
quasar (0.96r172r31-maemo5-3) unstable; urgency=high

  * Fixed ICON field in control file
  * Added default conf file

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 20:42:19 +0900

quasar (0.96r172r31-maemo5-2) unstable; urgency=high

  * Fixed depends field in control file

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 20:12:19 +0900

quasar (0.96r172r31-maemo5-1) unstable; urgency=low

  * Fixed XM-Maemo-Display-Name field in control file 

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 19:12:19 +0900

quasar (0.96r172r31-maemo5) unstable; urgency=low

  * Initial release

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 15:12:19 +0900

=== debian/control ===
Source: quasar
Section: user/multimedia
Priority: optional
Maintainer: tamanegimoyashi <tanimotoi@gmail.com>
Build-Depends: debhelper (>= 5), libqt3-mt-dev, libxext-dev, libx11-dev, libxft-dev,
 libxrender-dev, x11proto-render-dev, x11proto-randr-dev, x11proto-fixes-dev,
 libxrandr-dev, libxinerama-dev, libxfixes-dev, libxdmcp-dev, libqt3-compat-headers,
 libstdc++6-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libqt3-headers, libfontconfig1-dev,
 libfontconfig1-dev, libexpat1-dev, zlib1g-dev, libxau-dev, qt3-dev-tools, qt3-dev-tools-compat
Standards-Version: 0.96r172r31

Package: quasar
Architecture: armel
Suggests:
Depends: libqt3-mt, libx11-6, libxau6, libxext6, libxft2, zlib1g,
 libxrender1, libxrandr2, libxinerama1, libxft2, libxfixes3, libxdmcp6,
 libstdc++6, libpng12-0, libjpeg62, libgcc1, libfreetype6, libfontconfig1,
 libexpat1, fontconfig, libxdmcp6
XB-Maemo-Display-Name: Quasar Media Player
XB-Description: Quasar Media Player is a Amarok (or iTunes) styled cool GUI-frontend of mplayer.
 seealso http://katastrophos.net/andre/blog/software/quasar-media-player/
Description: Quasar Media Player is a Amarok (or iTunes) styled cool GUI-frontend of mplayer.
 seealso http://katastrophos.net/andre/blog/software/quasar-media-player/
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN
 pgAADaYBtHINqwAAEvVJREFUaN7VmmmMXVe153/7nHOHc4e699bkGuwa7HIq
 tmM8VuIiTmKMQxJjBMlrFER4mDw+dFDUIPiA4MOLyJMiWsAT6qZpAy1hkk4k
 i4QAiS0ZR0x5DklI7JTt2OWpynbNc9Udzj33DHvv9+G66tkhvDgI+r1e0v5w
 dK7OXv81/Nfae134/1zM/6iNOzo6xH333ZdramrKFQoFt1wu6/+0AFKpFMlk
 kltvvTX6zW9+s+6WW27ZbNv2w1LKLwshtmqt35ycnCz+Jd8Wf0vFN2zYgOM4
 yV27dq1Ys2ZNdzKZ7P3oRz96eyaT6e7r68vu27cvcvTo0ZlyufxfJycnDwL+
 +93D+msr/ZnPfIZMJpOan5/veuSRRzYDPc8//3zP/v37u2tra1Oe5/HAAw/Q
 29vLqlWrOHDgQG7fvn33TE5O/g6Y+38KIBaLkU6nsW3bevzxx2vOnTvXJYS4
 w3Xd7Tt37uxevXp1a2NjY01bWxtNTU3s37+fb3zjGxw6dIi9e/cShmF48uTJ
 0vz8fBrIAPPA+8qFvyiEOjs7SSaT8RUrVrQ89NBDq+PxeM+2bdvudF33lp/+
 9Kd1v/jFL6KFQoEPfehDfP7zn2f9+vXMzMzw5JNP6u9+97vezMzMXDqdHlJK
 nS6Xyye11meAk8D03wzAjh072Lx5c3xoaKhzz549G+vr6299+umne6anp2/u
 7e3NPfTQQ0Z3dzeVSoXDhw/zwx/+kKNHj9Le3s5dd93lTkxMjB8/fnxgZGTk
 nJTyNHABGKcaNkXABdT7Nea7hpBhGORyOYIgML/61a8mfd9vLxQKH1y2bNnt
 n/zkJ9evXbu2XUqZCYLA+PGPf8zTTz/NK6+8wt69e7njjjswTVPGYjE3CILJ
 M1V5GzgHDJimOWbbdkFr7RuGwc6dO2Nbt25dmc1mc57nDT7xxBOjhULhhr2w
 5IFoNMq2bdsolUqRMAwbv/a1r3VFo9FNN998853T09NbnnrqqYa+vr54Z2en
 +OxnP8uuXbuwbZs//vGPPPbYY/z2t78NE4nEQiaTGVtYWDjrOE6fUuqsaZpD
 mUxmrqmpSWYymfjKlSuzlmW1XblyZc22bdvWPvLIIysbGhqW//znPy+dPHny
 8R/96EfPLywsVG7YAzfddBO7d++OzM3NtX7xi1/cePr06Z7Dhw9vOXjw4Ace
 eOCBxo6ODnPdunU0NTXx5JNP8uyzz/KVr3yFe++9l46OjqCvr296cHDwspTy
 fKFQOFMoFM7V1dVN3n777SKVSuXOnDmzpbW1dcWXvvSl5du3b+8YGRnpeOyx
 x5pKpVK8p6eH9vZ2Lly4wDPPPBPOzs6us237V+8LwG233XZ3d3f3A/F4fOPc
 3NzKnp6euuHhYfPgwYN8+9vf5q233uJzn/scdXV1bN26Vb700kuV48ePz/7g
 Bz+4aNv2OSHEpVQqNbFu3TqltW5ub2/f9eijj7Zu2LCh+Te/+U3j5cuXG1ta
 WlIbN24UmUyGAwcO8Oabb9LT08P27dsJw5DDhw/z6quvWpZldXmel7qaFzcU
 RtbZs2c/d/bs2U/5vm+0tbXxhS98gUcffZRly5bxne98h+9///vhCy+8ULBt
 e6ZQKIxbljXc2Ng4E4vFxCc+8YmaBx988M5EItH+ve99r+n48ePJ+++/P3rv
 vfdaMzMzvPDCC8zOznLXXXfR2trKxYsXOXDgAMVikU2bNrGwsEB/fz/Hjh2j
 q6uL6empzNzcnP2+knh4eLi/paVFB0HA6Ogo+/bt48SJE3pkZKRk23Y+Go06
 lUqltGPHjtLOnTsNz/M27du3r8k0zczDDz9sbdy4kZdeeonXX3+dlpYW7rjj
 DgzD4NChQ/z+97+no6ODtrY2Tp06xalTp2hra6Onp4fVq1czMDCAEHDXXXeS
 TqU4cfLE8rGx8ZxSygDkDQEoFovHstns3Pz8fIPruoyOjvLUU0/R2dkpent7
 7aNHjyZ7e3vbHn/88XgqlRLf+ta3uHz5Mp/+9KdZu3YtCwsL7N+/n5GRET7+
 8Y8Tj8d5/fXX6e/v5+6772bz5s2YpsnCwgIdHR18+ctfJh6PI4TAMAx830cr
 yGYz1OZyzfF4rCsIgrduGIDjOAP5fP6cUqohDEOKxSJaazE2NpYcHBxMGYbB
 nj17yOVyHDt2jJ/85CcIIejp6WFqaoo333yTIAi4//77WblyJRcuXCCZTPLg
 gw9i2zbRaHRJWSEECIHWABqtNTEhqMnUUFtXTyqVrqmvb9hULJYOAjeUyBYw
 OzU1NWwYBpZlUSqV0FpTKBREPp9n165ddHR0cPr0aQ4fPkx3dzfr1q3DNE36
 +/vJZrN8/etfJ5VKEYlEMAwDACFEVeFF0aArZWR+Ae37YJoY6RrMRIJ0Ok1j
 YwN2wrbq6mpvuXTpUj2wcCOJbAGF8fHx0Wg0SkdHB+vXryeZTHL+/HlyuRwf
 /OAHGR0dXaoTH/nIR5aUtSwL0/y3jnxRYSEEwjBBSeTsNP6JY/hvvYocu4Tw
 iqAlGAZEbER9C3SsIVvTQDaRIJvNddq2vdJ13cEbCSMLCJRSQ/X19V5PT09s
 7dq1dHV1kclkSKVS2HaVFIaGhrAsi1wuRyQSuc66i+EhAGEYCMNAzkzj/u4I
 7pHnYO4SVjwgZmtM28SIGGgNOlDI0XOIgZdpDhNsshrIE2s8U5O+xXXdl6m2
 F+8JAK31ldbWlnx9XW1jZ0cH7e3tJBIJDMPAMAympqY4efIknuchhGDt2rVL
 IXJtfC+C8M+eofjMDwnPvEysVhG9OY6Vq8GoiSLiFkSqYUaoUW6IKvrYsxW2
 Tg6xbNZI27Hwjp+a4oUJqS+8F4BF/yfqamvva25ubmhuaaG2NkcsFrsOgGma
 1NfXMz4+zurVq7EsC8MwME3zOgD+6VPk/9cTMPoGyc4Y8dUZIu05zOU5jKYs
 oiGLqK1B1KYRuRRGbQIjZ2Nmbax0hGxEirWoFZ3KSF9y5fEZqf7dk9piMzde
 KBSmy2V3jeu6BEF4XRIuKp9KpXjrrbeQUi69W1ReAcGFc5S//9+x8v0kutNE
 2tKIZTWIbAoSNjoeR0QiCNOodmFaQRiA72HmKpBNIDI22WQ++eGYtTdmmvKJ
 keI/XfLDifcCsFBynFE/8HEch8D30VWuW7Ky4zgEQYAQAs/z0FpjGAZaa0zL
 IlqpUHnhOYzpM9g3p4h0ZBDNWaitQadSEE8gYnGwomCaCAECCdJH+x7KdjFi
 MUQ0ApZBHGK9gf77f/Dk2D9PlP7Hwp/xxCIAr1wuD7quGxaLRStfyGNa1hLT
 BEFAuVzmypUrNDU1kUwmiUajSwwkhKD8h3+h8sYRksstrJYkujGNzqUgnYZE
 GiOehKhNoC0UFoYQGIbEingYUQ8RiaANEwQYWmH6IXYxSH2kGPzDa8Xg2KGC
 +yve5bywCED7vn+hkM/7+YW8VXErSwy0SJXHjh1jYmKCrVu3opRaSmilFNpx
 KL34LFakSKQxA/VxdI2NTiQR8STCTlHRUS5f8hmbVGhsEqkaUglBXcahPruA
 HVdV/XSACH1Eo4e53CU743b+lylr7ytF0beg9fifA4BSaqBQLJaVUomrzISU
 Etd1OXv2LAMDAzQ2NpLJZPB9n8XCF7dt5PAQ6nwfkRYBOQudjqOTCbSdQNgJ
 HM/gjRNF5orLuOmmDbS1rSCdTiOEoFQsMFvsJ2OfJhmtQMxCJyKItIVRF8Fq
 MLmpRuzYEhGbfu3rGSD4cwBGSyVn1ik79VNTU9RkMtTV1TExMcGRI0cwTZMw
 DAmCANu2MU2zmsha4/YdR/jzGOk4pOOoRAIVsyEaR2Lxx74FphdWsH37h1i1
 aiXpdHqpYqvGRgqFZcyNR/Hk74lYCh3R6JhApwyMGkE2rWpvi+kdv/Z5Bci/
 KwCt9UKpVBr2Kl631grbtjEMg6NHjzI1NcXu3buxLItDhw7R3NxMKpWis7OT
 hoYGSmfextJlDDuJTsSR0SjKiiAiFkMTJQaumGzr3URHRzu2bSOlREq5lD+p
 VBKab6M0dQGTCTACMEOISkhIrFgQaY3ozSmoLUGBa1qMa8/EbrlcvlhySrtK
 jkOxWOTy5cu8/fbbZLNZuru7uXLlCq+++ipBEGCaJj09PXzqU58i4hYRlkZH
 QJogLRNlmmhgbNLFiqxg+fIWIpEIYRheVwAX2S4eT+JFu9Du64CLFh5alEG4
 iEhAU4SmFYJl/ZohrmkxjGsABL7vXywVi8pxHHzPY3homJmZGRobG2ltbeXy
 5cs4jkN3dzerV6/mjTfeoK+vDy0l4io9Sh0QSBdferiBx0IxpK6ugUwmc13f
 pLUmDMOlpZTEtGpQMo8MplHBJDqYR1MBS5M0SWQF9e/Q+ToPSN/3Lznlcjnw
 /ZRSCrfi4jgOnufhui6ZTIbt27djGAapVIq+vj5GRkb4QMzGtKJoEUFjopTE
 ly5+qNBGiKGrRW+RuRZD51oRQqDkHKF3CbwCRiARMqDaNIEhMA2IvRPAdQ9B
 EIy5rjvnOA5zc3NIKQmCgIGBAUZHR7ntttvYs2cPQoilUMpkMkRa21A6CqEJ
 2gRhgTAxrSjpWpN8cQanVC2Ei6tqdbW0QimR/hmEdBAqxJAhQipEoCCEikQ6
 73J3eh0ApdSM4zhjjuPg+R7Lly8nlUrR39/Pc889x/nz5+nr6+P48eP09fXR
 1tbG2nXr8Ns6kDKKLisMD4xQYCgDQwqa6yNgTjA+Ock79lpKZikVgTuE8l/H
 0BIzlIhAgqfAlaiKZs6nNKnIv7OYvfNia94pOUNu2d0W+D4rV3XR29vLz372
 M375y19y5MgRtNbE43HS6TS7d+/Gtm38llbMRAMyP4dVDDHKAWbcR2uD+phF
 14o8Fwf+QDabpb6u7hoSESgFSs1ieAcw5UWQBvgaKgrhSFRREZZgxGN4snpb
 8e8CKJZdd7jieczNL1CXz3PnnXcSi8UYHBzE933q6uro7u6mr68P27ax43F0
 QyOV9bfi9x3EmnaxMjG0aSBCifIjdOUMRuVJLp3zKTRvJV3TjGGYSFnGEsMk
 I/9CVL2GCDUEAjyNdiRqIUTOKYp5vD6PM4r39oDvuu6w51U81y3HwiAg1dDA
 xz72MTzP4+WXX2Z0dJQtW7Zw/vx55ubmCMMQTBO1ZRulk68QGckTTVtYBhAE
 qFgEbQk6YhrH/QPeUB9lK42wTKJWCSMyjbJmcXSA8gNMV2HlFeZciJ5WBDNw
 Kc/cMcnlbhPz7+K0tJh0jEucJ11O/cndqOf7V8qum/cqXqOUEq2rh2/HcXjx
 xRcZGhrCcRzGx8e55557qFQqICBoaaWyrhfz2ItkE3lMLTFr44i4hbQESigS
 SOxwGh1WEIGPIT0IfQIvRAchoVS4gaJSCbHyiuSYIpyE8TKJv4/z8KoIn2kz
 aYwZiP/t881RxcU/ASDDcLhULM5XKpVGt1LB930ikQgAq1atYmxsjNdee437
 7ruPeDzO5OQEQRDgByHO8g4WzrSx+tIgKRUi3Dg6ZaEjBgiNRqKlhDBAhR46
 CNBBAH4VAL7EDhTxUFEqw1QRLudhOiTTEmVLslrB9Csev/uVz6Cu8t2fyESx
 WJr2fb+7VCySz+erdzdacffdd7NmzRq0UjQ0NHBpcJBKxaVcLlMuu5QrLipR
 T2FmnI0DBRKOj8haaNtEmhqNRisJMkTLAAIJQQihRAcSESoMpbEUNAC5LMw2
 gR6Cq2yqByQXflLh2WnFRcB5NwDzJac0GoQBs7OzaK0wTJPADwgCHxkGVCoV
 zpyZolwu41Yq+J5PpVKh5JRYyBfCo3NF9+Oi4u8uh+lU1oiKpAkxAYZGo1BS
 gpQIKUEqkBohq8qbaExdrV+Wgg01YDfCpWkqpwJOvxjwzJmQ31KdLah3A1Ap
 FksDpWIpLCTyVqlUJAiqSpdKJRzHqVq7XNblctkvOY5TLpcXKpXKdBiGM8AE
 MPF/DFEc86zOvytZOxqTdIkoJhYIoas0qhVCV5U2tMbUVcUBZPV19XigYGUE
 ZhMM/XieH/SHvAwMcbWovRsAVS6Xj544cWJvS0tLq+d7qlgsho5T9j3PczzP
 mw2CYDwMwzFgDJikOhqapsrTecCZV7pyoBDETlbk87uS5od7Eny4ztJdcRPb
 REcESlTBXN30qtWXlrpaLlQ18LsV9etNkudCRtQ1t3Z/bsRUI4TYaxjGPVpr
 Tyk1Coxcte4M1WFc8epyAO+qReTVLfU11cqMQi5piBUbomLN+qj+QL3BqiS6
 OSFIRsDSgK+RgUYJDSmIZjXJlCabUKQNhWkAl0J+/Y8h/20Q+t8LAEAN0ARE
 qV4wLS6f6qnoWmVvREyqzVgCSBmQTAqStiCqQJQ1YUVXu6kGg0SroL5R075c
 071Rs64TbomC8T/hK7+E/6uvhtB7DfmMq79ZdOZfS8TVbxvXPPMOYxhAJAKp
 ZbBiJay/F3a6MPrP8N1yNRr+tpP6vyZgATEbGlOQm4Vh+RfMlP8ziKBKPP9h
 f1L5q8u/Ak/tkxbn9dvxAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake $(CURDIR)/quasar-maemo.pro
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/quasar.sgml > quasar.1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/quasar.
	$(MAKE) DESTDIR=$(CURDIR)/debian/quasar install

#	dh_installdirs
	mkdir -p $(CURDIR)/debian/quasar/usr/bin
	mkdir -p $(CURDIR)/debian/quasar/usr/share/quasar
	mkdir -p $(CURDIR)/debian/quasar/usr/share/applications/hildon
	mkdir -p $(CURDIR)/debian/quasar/etc/others-menu/extra_applications
	mkdir -p $(CURDIR)/debian/quasar/DEBIAN

	cp -a  $(CURDIR)/debian/quasar.control $(CURDIR)/debian/quasar/DEBIAN/control
	cp -a  $(CURDIR)/debian/compat $(CURDIR)/debian/quasar/DEBIAN/
	cp -a  $(CURDIR)/quasar.desktop \
		$(CURDIR)/debian/quasar/usr/share/applications/hildon/
	cp -a  $(CURDIR)/quasar.desktop \
		$(CURDIR)/debian/quasar/etc/others-menu/extra_applications/
	cp -Ra  $(CURDIR)/distro/skins $(CURDIR)/debian/quasar/usr/share/quasar/
	cp -Ra  $(CURDIR)/distro/skeletons/pdaXrom/usr/share/quasar/pics $(CURDIR)/debian/quasar/usr/share/quasar/
	cp -a   $(CURDIR)/quasar $(CURDIR)/debian/quasar/usr/bin/
	cp -a   $(CURDIR)/quasar.conf.maemo $(CURDIR)/debian/quasar/usr/share/quasar

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGELOG
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
#	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## quasar 0.96r188r31-maemo2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: quasar
-# Generated by qmake (1.07a) (Qt 3.3.8b) on: Mon Feb 15 22:02:37 2010
+# Generated by qmake (1.07a) (Qt 3.3.8b) on: Wed Feb 17 13:36:42 2010
 # Project:  quasar-maemo.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile quasar-maemo.pro
@@ -16,7 +16,7 @@
 CXXFLAGS = -pipe -g -DSQLITE_THREADSAFE=0 -O3 -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp -Wall -W -O2 -D_REENTRANT  -DQUASAR -DSQLITE_OMIT_UTF16 -DSQLITE_OMIT_AUTHORIZATION -DSQLITE_OMIT_PROGRESS_CALLBACK -DSQLITE_OMIT_SHARED_CACHE -DSQLITE_OMIT_LOAD_EXTENSION -DUSE_NATIVE_FILEDIALOGS -DLOWPERF -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
 LEXFLAGS = 
 YACCFLAGS= -d
-INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -Icore -Icore/platform -Iui -Iui/skin -Iui/config -Ilibs/taglib/taglib -Ilibs/taglib/taglib/taglib -Ilibs/taglib/taglib/taglib/ape -Ilibs/taglib/taglib/taglib/flac -Ilibs/taglib/taglib/taglib/mpc -Ilibs/taglib/taglib/taglib/mpeg -Ilibs/taglib/taglib/taglib/mpeg/id3v1 -Ilibs/taglib/taglib/taglib/mpeg/id3v2 -Ilibs/taglib/taglib/taglib/mpeg/id3v2/frames -Ilibs/taglib/taglib/taglib/ogg -Ilibs/taglib/taglib/taglib/ogg/flac -Ilibs/taglib/taglib/taglib/ogg/vorbis -Ilibs/taglib/taglib/taglib/toolkit -Ilibs/taglib/taglib_addons -Ilibs/taglib/taglib_addons/aac -Ilibs/taglib/taglib_addons/audible -Ilibs/taglib/taglib_addons/m4a -Ilibs/taglib/taglib_addons/rmff -Ilibs/taglib/taglib_addons/speex -Ilibs/taglib/taglib_addons/trueaudio -Ilibs/taglib/taglib_addons/wav -Ilibs/taglib/taglib_addons/wavpack -Ilibs/taglib/taglib_addons/wma -Ilibs/kmdcodec -Ilibs/sqlite -Ilibs/flowmatix -Ilibs/flowmatix/imagecache -Ilibs/flowmatix/flowmatixcore -Icompat/qt3 -Iaddons/coverartdownloader -Iaddons/qscrobbler -Iaddons/debug -Iaddons/revealmediafile -I/targets/maemo4-arm-b8a8c056fa52e92e6fd4128f5b534698911d415d/usr/include/qt3 -I.moc/
+INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -Icore -Icore/platform -Iui -Iui/skin -Iui/config -Ilibs/taglib/taglib -Ilibs/taglib/taglib/taglib -Ilibs/taglib/taglib/taglib/ape -Ilibs/taglib/taglib/taglib/flac -Ilibs/taglib/taglib/taglib/mpc -Ilibs/taglib/taglib/taglib/mpeg -Ilibs/taglib/taglib/taglib/mpeg/id3v1 -Ilibs/taglib/taglib/taglib/mpeg/id3v2 -Ilibs/taglib/taglib/taglib/mpeg/id3v2/frames -Ilibs/taglib/taglib/taglib/ogg -Ilibs/taglib/taglib/taglib/ogg/flac -Ilibs/taglib/taglib/taglib/ogg/vorbis -Ilibs/taglib/taglib/taglib/toolkit -Ilibs/taglib/taglib_addons -Ilibs/taglib/taglib_addons/aac -Ilibs/taglib/taglib_addons/audible -Ilibs/taglib/taglib_addons/m4a -Ilibs/taglib/taglib_addons/rmff -Ilibs/taglib/taglib_addons/speex -Ilibs/taglib/taglib_addons/trueaudio -Ilibs/taglib/taglib_addons/wav -Ilibs/taglib/taglib_addons/wavpack -Ilibs/taglib/taglib_addons/wma -Ilibs/kmdcodec -Ilibs/sqlite -Ilibs/flowmatix -Ilibs/flowmatix/imagecache -Ilibs/flowmatix/flowmatixcore -Icompat/qt3 -Iaddons/coverartdownloader -Iaddons/qscrobbler -Iaddons/debug -Iaddons/revealmediafile -I/targets/maemo4-arm-9eb7af6334749f7978cbf713bab407f756c3568c/usr/include/qt3 -I.moc/
 LINK     = g++
 LFLAGS   = 
 LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lz -lstdc++ -lqt-mt -lXext -lX11 -lm -lpthread
@@ -53,6 +53,7 @@
 		core/mediadatabase.h \
 		core/mplayer.h \
 		core/coverartprovider.h \
+		core/playlist.h \
 		core/playlistmanager.h \
 		core/signalhandler.h \
 		core/keynames.h \
@@ -69,7 +70,7 @@
 		ui/kineticlistview.h \
 		ui/playinfo.h \
 		ui/videoplaybackwindow.h \
-		ui/playlist.h \
+		ui/playlistview.h \
 		ui/playlistoverview.h \
 		ui/playlisttoolpanel.h \
 		ui/aboutdialog.h \
@@ -121,6 +122,7 @@
 		core/mediadatabase.cpp \
 		core/mplayer.cpp \
 		core/coverartprovider.cpp \
+		core/playlist.cpp \
 		core/playlistmanager.cpp \
 		core/signalhandler.cpp \
 		core/keynames.cpp \
@@ -136,7 +138,7 @@
 		ui/coverartflow.cpp \
 		ui/kineticlistview.cpp \
 		ui/playinfo.cpp \
-		ui/playlist.cpp \
+		ui/playlistview.cpp \
 		ui/playlistoverview.cpp \
 		ui/playlisttoolpanel.cpp \
 		ui/aboutdialog.cpp \
@@ -263,4 +265,3 @@
 		libs/taglib/taglib_addons/wma/taglib_wmafiletyperesolver.cpp \
 		libs/taglib/taglib_addons/wma/wmaattribute.cpp \
 		libs/taglib/taglib_addons/wma/wmafile.cpp \
-		libs/taglib/taglib_addons/wma/wmaproperties.cpp \

=== debian/changelog ===
quasar (0.96r188r31-maemo2) unstable; urgency=high

  * Added "close" button to Qscrobbler

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 23:00:19 +0900

quasar (0.96r188r31-maemo1) unstable; urgency=high

  * upstream version update

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 22:59:19 +0900

quasar (0.96r172r31-maemo5-7) unstable; urgency=high

  * Added quasar.png to package

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 21:59:19 +0900

quasar (0.96r172r31-maemo5-6) unstable; urgency=high

  * Added qtrc

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 21:57:19 +0900

quasar (0.96r172r31-maemo5-5) unstable; urgency=high

  * Fixed install script

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 20:57:19 +0900

quasar (0.96r172r31-maemo5-4) unstable; urgency=high

  * Added default .sqlite3 file

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Tue, 12 Jan 2010 20:52:19 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libxrandr-dev, libxinerama-dev, libxfixes-dev, libxdmcp-dev, libqt3-compat-headers,
  libstdc++6-dev, libpng12-dev, libjpeg62-dev, libfreetype6-dev, libqt3-headers, libfontconfig1-dev,
  libfontconfig1-dev, libexpat1-dev, zlib1g-dev, libxau-dev, qt3-dev-tools, qt3-dev-tools-compat
-Standards-Version: 0.96r172r31
+Standards-Version: 0.96r188r31
 
 Package: quasar
 Architecture: armel
@@ -17,9 +17,9 @@
  libstdc++6, libpng12-0, libjpeg62, libgcc1, libfreetype6, libfontconfig1,
  libexpat1, fontconfig, libxdmcp6
 XB-Maemo-Display-Name: Quasar Media Player
-XB-Description: Quasar Media Player is a Amarok (or iTunes) styled cool GUI-frontend of mplayer.
+XB-Description: Quasar Media Player is an Amarok (or iTunes) styled cool GUI-frontend of mplayer.
  seealso http://katastrophos.net/andre/blog/software/quasar-media-player/
-Description: Quasar Media Player is a Amarok (or iTunes) styled cool GUI-frontend of mplayer.
+Description: Quasar Media Player is an Amarok (or iTunes) styled cool GUI-frontend of mplayer.
  seealso http://katastrophos.net/andre/blog/software/quasar-media-player/
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
  C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
+	qmake $(CURDIR)/quasar-maemo.pro
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
@@ -57,6 +58,7 @@
 
 #	dh_installdirs
 	mkdir -p $(CURDIR)/debian/quasar/usr/bin
+	mkdir -p $(CURDIR)/debian/quasar/usr/share/pixmaps
 	mkdir -p $(CURDIR)/debian/quasar/usr/share/quasar
 	mkdir -p $(CURDIR)/debian/quasar/usr/share/applications/hildon
 	mkdir -p $(CURDIR)/debian/quasar/etc/others-menu/extra_applications
@@ -71,7 +73,10 @@
 	cp -Ra  $(CURDIR)/distro/skins $(CURDIR)/debian/quasar/usr/share/quasar/
 	cp -Ra  $(CURDIR)/distro/skeletons/pdaXrom/usr/share/quasar/pics $(CURDIR)/debian/quasar/usr/share/quasar/
 	cp -a   $(CURDIR)/quasar $(CURDIR)/debian/quasar/usr/bin/
-	cp -a   $(CURDIR)/quasar.conf.maemo $(CURDIR)/debian/quasar/usr/share/quasar
+	cp -a   $(CURDIR)/quasar.conf.maemo $(CURDIR)/debian/quasar/usr/share/quasar/
+	cp -a   $(CURDIR)/quasar.sqlite3.maemo $(CURDIR)/debian/quasar/usr/share/quasar/
+	cp -a   $(CURDIR)/qtrc.echo $(CURDIR)/debian/quasar/usr/share/quasar/
+	cp -a   $(CURDIR)/distro/images/quasar.png $(CURDIR)/debian/quasar/usr/share/pixmaps/
 
 # Build architecture-independent files here.
 binary-indep: build install
